
(define *main-context* #f)

(front-end/set-categories! '("Help" "Misc"))

(gen-front-end sal-wfc
							 "SAL Well-Formedness Checker"
"Usage: sal-wfc [options] [context-name]
   or  sal-wfc [options] [file-name]"
							 "Examples: 
  sal-wfc peterson

  sal-wfc ~/examples/peterson.sal

  sal-wfc ../tmp/peterson.sal

  sal-wfc -v 3 peterson

  sal-wfc -v 3 ~/examples/peterson.sal
"
							(lambda (else)
								(if *main-context*
									(begin 
										(print "Illegal argument `" else "'. Usage:")
										(sal-wfc/simple-help))
									(set! *main-context* else)))
							(begin
								(unless *main-context*
									(sal-wfc/simple-help)
									(exit -1))
								(let ((ctx-name (file-name->sal-context-name *main-context*)))
									(if (equal? ctx-name *main-context*)
										(sal-env/context *sal-env* (string->symbol *main-context*))
										(sal-env/context-from-file *sal-env* *main-context*)))
								(print "Ok.")))

(sal-wfc/main)

			

		